Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class BeanPredicate

    java.lang.Object
      org.apache.commons.beanutils.BeanPredicate

All Implemented Interfaces:
  Predicate

    public class BeanPredicate

extends Object
implements Predicate

Predicate implementation that applies the given `Predicate` to the result of calling the given property getter.

Constructor Summary
`BeanPredicate(String propertyName, Predicate predicate)` Constructs a `BeanPredicate` that applies the given `Predicate` to the named property value.

Method Summary
`boolean` | `evaluate(Object object)` Evaluates the given object by applying the `getPredicate()` to a property value named by `getPropertyName()`.
`Predicate` | `getPredicate()` Gets the `Predicate` to be applied to the value of the named property during `evaluate(java.lang.Object)`.
`String` | `getPropertyName()` Gets the name of the property whose value is to be predicated.
`void` | `setPredicate(Predicate predicate)` Sets the `Predicate` to be applied to the value of the named property during `evaluate(Object)`.
`void` | `setPropertyName(String propertyName)` Sets the name of the property whose value is to be predicated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPredicate

    public BeanPredicate(String propertyName,
                         Predicate predicate)

  Constructs a `BeanPredicate` that applies the given `Predicate` to the named property value.

  Parameters:
    `propertyName` - the name of the property whose value is to be predicated, not null
    `predicate` - the `Predicate` to be applied, not null

Method Detail

### evaluate

    public boolean evaluate(Object object)

  Evaluates the given object by applying the `getPredicate()` to a property value named by `getPropertyName()`.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - The object being evaluated
  Returns:
    the result of the predicate evaluation
  Throws:
    `IllegalArgumentException` - when the property cannot be evaluated

### getPropertyName

    public String getPropertyName()

  Gets the name of the property whose value is to be predicated. in the evaluation.

  Returns:
    the property name, not null

### setPropertyName

    public void setPropertyName(String propertyName)

  Sets the name of the property whose value is to be predicated.

  Parameters:
    `propertyName` - the name of the property whose value is to be predicated, not null

### getPredicate

    public Predicate getPredicate()

  Gets the `Predicate` to be applied to the value of the named property during `evaluate(java.lang.Object)`.

  Returns:
    `Predicate`, not null

### setPredicate

    public void setPredicate(Predicate predicate)

  Sets the `Predicate` to be applied to the value of the named property during `evaluate(Object)`.

  Parameters:
    `predicate` - `Predicate`, not null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.